--- title: "Edit thesaurus" slug: "analytics-cloudsearch-putsynonym" updated: 2026-09-17T09:48:02Z published: 2026-09-17T09:48:02Z canonical: "api.ncloud-docs.com/analytics-cloudsearch-putsynonym" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit thesaurus Edit a user thesaurus. You can't add versions lower than the current version. ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/{name}/synonym/{synoName} ``` ## Request ### Request parameters | Parameter name | Requirement status | Type | Restrictions | Explanation | | --- | --- | --- | --- | --- | | name | Yes | string | | Domain name created | | synoName | Yes | string | Start with an English letter or "_". English letters, numbers, and "_" are allowed. 3 to 20 characters can be entered. | Thesaurus name to create | ### Request body | Parameter name | Requirement status | Type | Restrictions | Explanation | | --- | --- | --- | --- | --- | | type | Yes | string | filter, exact | Stop word rule typefilter: partial matching; removes the matching parts of the search terms if some of the keywords match the stop words you registered exact: complete matching; removes matching words among search terms if they are an exact match with the stop words you registered | | word_list | Yes | List | | List of words to set as stop words | | case_sensitive | Yes | boolean | true, false | Case-sensitive status of words to set as stop words | ### Response statuses | HTTP status | Desc | | --- | --- | | 200 | OK (Successfully edited) | | 400 | Bad Request | | 401 | Unauthorized | | 403 | Forbidden | | 404 | Not Found | | 500 | Internal Server Error | ## Example ### Request example ``` PUT https://cloudsearch.apigw.ntruss.com/CloudSearch/real/v1/domain/wiki/synonym/syno { "wordList": "Mobile phone,cell phone,phone\ntoilet paper,tissue", "version": "0.4", "description": "Wiki thesaurus 0.4" } ``` ### Response example ``` {"result":"ok"} ```